
path_hashing_function <- function(path) {
  if (inherits(path, "character")) {
    path <- path.expand(path)
    stopifnot(dir.exists(path), file.exists(paste0(path,"/simu_results_0.nc")))
  }
  rlang::hash(path)
}


.onLoad <- function(libname, pkgname) {
    
  load_primary_netcdf <<- memoise::memoise(load_primary_netcdf, hash = path_hashing_function)

  load_secondary_netcdf <<- memoise::memoise(load_secondary_netcdf, hash = path_hashing_function)

  get_gas_names <<- memoise::memoise(get_gas_names, hash = path_hashing_function)
}